=== debian/control ===
--- 
+++ 
@@ -4,17 +4,20 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: bison,
-               cmake (>= 2.8.12),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.46.0~),
+               cmake (>= 3.0~),
+               debhelper (>= 11~),
+               doxygen,
+               extra-cmake-modules (>= 5.47.0~),
                flex,
+               graphviz,
+               libqt5sql5-sqlite,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.8.0~),
+               qtdeclarative5-dev (>= 5.8.0~),
                qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~)
-Standards-Version: 3.9.8
+               qttools5-dev-tools (>= 5.6.1~),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/solid
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
@@ -22,7 +25,7 @@
 Package: libkf5solid-bin
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: udisks2, upower
+Recommends: udisks2 [linux-any], upower
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -35,8 +38,10 @@
 Architecture: any
 Section: libdevel
 Depends: libkf5solid5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
+         qtbase5-dev (>= 5.8.0~),
+         ${misc:Depends},
+Recommends: libkf5solid-doc (= ${source:Version})
+Breaks: kio-dev (<< 5.28)
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -45,6 +50,19 @@
  .
  This package contains the development files.
 
+Package: libkf5solid-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt library to query and control hardware (documentation)
+ Solid is a device integration framework. It provides a way of querying and
+ interacting with hardware independently of the underlying operating system.
+ .
+ Solid is part of KDE Frameworks 5.
+ .
+ This package contains the qch documentation files.
+
 Package: libkf5solid5
 Architecture: any
 Multi-Arch: same
@@ -52,6 +70,9 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: media-player-info [linux-any]
+Breaks: kdesignerplugin (<< 5.42),
+        kross (<< 5.42),
+        libkf5kdelibs4support5-bin (<< 5.42),
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
