=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.49.0~),
+               extra-cmake-modules (>= 5.50.0~),
                flex,
                graphviz,
                libqt5sql5-sqlite,
@@ -15,12 +15,12 @@
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.8.0~),
                qtdeclarative5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4),
+               qttools5-dev (>= 5.6.1~),
+               qttools5-dev-tools (>= 5.6.1~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/solid
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/solid
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/solid.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
 
 Package: libkf5solid-bin
 Architecture: any
@@ -35,12 +35,13 @@
  This package contains the solid-hardware5 tool.
 
 Package: libkf5solid-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5solid5 (= ${binary:Version}),
          qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
 Recommends: libkf5solid-doc (= ${source:Version})
+Breaks: kio-dev (<< 5.28)
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -48,11 +49,11 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the development files.
-Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.49)
 
 Package: libkf5solid-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}
 Description: Qt library to query and control hardware (documentation)
  Solid is a device integration framework. It provides a way of querying and
@@ -61,7 +62,6 @@
  Solid is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
-Section: doc
 
 Package: libkf5solid5
 Architecture: any
@@ -70,20 +70,14 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: media-player-info [linux-any]
+Breaks: kdesignerplugin (<< 5.42),
+        kross (<< 5.42),
+        libkf5kdelibs4support5-bin (<< 5.42),
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
  .
  Solid is part of KDE Frameworks 5.
-Breaks: baloo-kf5 (<< 5.49),
-        kdesignerplugin (<< 5.42),
-        kio (<< 5.49),
-        kross (<< 5.42),
-        libkf5baloo5 (<< 5.49),
-        libkf5kdelibs4support5 (<< 5.49),
-        libkf5kdelibs4support5-bin (<< 5.42),
-        libkf5kiofilewidgets5 (<< 5.49),
-        libkf5runner5 (<< 5.49),
 
 Package: libkf5solid5-data
 Architecture: all
@@ -101,8 +95,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
 Replaces: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
-Breaks: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
 Description: Qt library to query and control hardware plugin
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -110,9 +104,9 @@
  This package is part of KDE Frameworks 5.
 
 Package: qtdeclarative5-kf5solid
+Architecture: all
 Section: oldlibs
 Priority: optional
-Architecture: all
 Depends: qml-module-org-kde-solid, ${misc:Depends}, ${shlibs:Depends}
 Description: transitional package to renamed qml-module-org-kde-solid
  Transitional package for qml-module-org-kde-solid.  This package is
