## solid 5.51.0

=== debian/changelog ===
solid (5.51.0-3) unstable; urgency=medium

  * Team upload.
  * Disable the halbasictest test, run only on non-Linux architectures (as it
    is flaky); patch disable_halbasictest.diff.

 -- Pino Toscano <pino@debian.org>  Thu, 27 Dec 2018 18:18:29 +0100

solid (5.51.0-2) unstable; urgency=medium

  * Team upload.
  * Drop the transitional qtdeclarative5-kf5solid, no more needed now.
  * Drop the old qtdeclarative5-kf5solid breaks/replaces.
  * Add Build-Depends-Package in the symbols file.
  * Run (again) the test suite at build time.
  * Remove the 'testsuite' autopkgtest, as it does not test the package
    available in the archive.
  * Drop unused debian/meta/ stuff.

 -- Pino Toscano <pino@debian.org>  Thu, 27 Dec 2018 11:12:26 +0100

solid (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:39 +0100
