## solid 5.52.0

=== debian/changelog ===
solid (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Install debug categories file.
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:44:32 +0000
