=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.53.0~),
+               extra-cmake-modules (>= 5.55.0~),
                flex,
                graphviz,
                libqt5sql5-sqlite,
