=== src/solid/devices/CMakeLists.txt ===
--- 
+++ 
@@ -102,7 +102,7 @@
       set(EXPERIMENTAL_BSDISKS FALSE)
    endif()
 
-   if ( UDEV_FOUND )
+   if ( UDev_FOUND )
       message(STATUS "Building Solid UDev backend." )
       include(devices/backends/udev/CMakeLists.txt)
    endif()
@@ -111,7 +111,7 @@
    include(devices/backends/upower/CMakeLists.txt)
 
    # FIXME: this should work on more Unix systems
-   if ((CMAKE_SYSTEM_NAME MATCHES Linux AND UDEV_FOUND) OR EXPERIMENTAL_BSDISKS)
+   if ((CMAKE_SYSTEM_NAME MATCHES Linux AND UDev_FOUND) OR EXPERIMENTAL_BSDISKS)
         message(STATUS "Building Solid UDisks2 backend." )
         include(devices/backends/udisks2/CMakeLists.txt)
    endif ()
@@ -175,6 +175,6 @@
    set(solid_OPTIONAL_LIBS ${IOKIT_LIBRARY} "-framework DiskArbitration")
 endif()
 
-if ( UDEV_FOUND )
-   set(solid_OPTIONAL_LIBS ${solid_OPTIONAL_LIBS} ${UDEV_LIBS})
+if ( UDev_FOUND )
+   set(solid_OPTIONAL_LIBS ${solid_OPTIONAL_LIBS} UDev::UDev)
 endif ()
